import { ElementRef, EventEmitter, OnDestroy, TemplateRef } from "@angular/core";
import { FormComponent, FormMasterService } from "@colijnit/corecomponents_v12";
import { Icon } from "../../../../enum/icon.enum";
export declare class ActivitySummaryBlockComponent implements OnDestroy {
    private _formMaster;
    elementRef: ElementRef;
    readonly Icon: typeof Icon;
    mainForm: FormComponent;
    cssId: string;
    noBorder: boolean;
    icon: Icon;
    editIcon: Icon;
    image: string;
    editTitle: string;
    editTemplate: TemplateRef<any>;
    extraButtonsTemplate: TemplateRef<any>;
    readonly: boolean;
    showButtons: boolean;
    hideCancel: boolean;
    actionIcon: boolean;
    expandable: boolean;
    saveClick: EventEmitter<any>;
    cancelClick: EventEmitter<MouseEvent>;
    showClass(): boolean;
    get summaryElement(): ElementRef;
    constructor(_formMaster: FormMasterService, elementRef: ElementRef);
    ngOnDestroy(): void;
    handleOkClick(event: MouseEvent): void;
    handleCancelClick(event: MouseEvent): void;
    onValid(): void;
}
